//+------------------------------------------------------------------+
//|                                                K_Orders_Demo.mq5 |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"

#include <K_Orders.mqh>

input int TP = 70;
input int SL = 20;
input double Lots=0.2;

Order order;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---    
   order.SetLots(Lots);
   order.SetMagic(123);
   order.SetSL_inPoints(SL);
   order.SetTP_inPoints(TP);
   order.SetComment("MyExpert");

   order.Buy();   // 
   order.Sell();  //    
   order.Buy();   //  

//   order.SetSL_inPrice(1.26685); //   StopLoss  ("Price")
   order.SetTP_inPoints(30);     //   TakeProfit   ("Points")
   order.Modify();               //  

   order.Close_Volume(0.1);      //     (0.2) 
   order.Close();                //   
  }
//+------------------------------------------------------------------+
